weka.core.pmml.jaxbbindings

## Class TimeValue

- java.lang.Object
- - weka.core.pmml.jaxbbindings.TimeValue

-     public class TimeValue
      extends java.lang.Object

  Java class for TimeValue element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="TimeValue">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Timestamp" minOccurs="0"/>
               </sequence>
               <attribute name="index" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
               <attribute name="standardError" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
               <attribute name="time" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="value" use="required" type="{http://www.dmg.org/PMML-4_1}REAL-NUMBER" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimeValue()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.math.BigInteger` | `getIndex()` Gets the value of the index property.
    `java.lang.Double` | `getStandardError()` Gets the value of the standardError property.
    `java.lang.Double` | `getTime()` Gets the value of the time property.
    `Timestamp` | `getTimestamp()` Gets the value of the timestamp property.
    `double` | `getValue()` Gets the value of the value property.
    `void` | `setIndex(java.math.BigInteger value)` Sets the value of the index property.
    `void` | `setStandardError(java.lang.Double value)` Sets the value of the standardError property.
    `void` | `setTime(java.lang.Double value)` Sets the value of the time property.
    `void` | `setTimestamp(Timestamp value)` Sets the value of the timestamp property.
    `void` | `setValue(double value)` Sets the value of the value property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TimeValue

          public TimeValue()

  - ### Method Detail

    - #### getTimestamp

          public Timestamp getTimestamp()

      Gets the value of the timestamp property.
      Returns:
        possible object is `Timestamp`

    - #### setTimestamp

          public void setTimestamp(Timestamp value)

      Sets the value of the timestamp property.
      Parameters:
        `value` - allowed object is `Timestamp`

    - #### getIndex

          public java.math.BigInteger getIndex()

      Gets the value of the index property.
      Returns:
        possible object is `BigInteger`

    - #### setIndex

          public void setIndex(java.math.BigInteger value)

      Sets the value of the index property.
      Parameters:
        `value` - allowed object is `BigInteger`

    - #### getStandardError

          public java.lang.Double getStandardError()

      Gets the value of the standardError property.
      Returns:
        possible object is `Double`

    - #### setStandardError

          public void setStandardError(java.lang.Double value)

      Sets the value of the standardError property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTime

          public java.lang.Double getTime()

      Gets the value of the time property.
      Returns:
        possible object is `Double`

    - #### setTime

          public void setTime(java.lang.Double value)

      Sets the value of the time property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getValue

          public double getValue()

      Gets the value of the value property.

    - #### setValue

          public void setValue(double value)

      Sets the value of the value property.